<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">


    <parent>
        <groupId>ru.entaxy.platform.security</groupId>
        <artifactId>legacy-permissions</artifactId>
        <version>1.10.1</version>
    </parent>

    <modelVersion>4.0.0</modelVersion>

	<groupId>ru.entaxy.esb.system.core.permission</groupId>
    <artifactId>permission-impl</artifactId>
    <name>SYSTEM :: ENTAXY :: CORE :: PERMISSION :: IMPL</name>
    <packaging>bundle</packaging>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.esb.system.core.permission.jpa.entity
        </bundle.osgi.export.pkg>
        <!-- bundle.osgi.private.pkg>
            ru.entaxy.esb.system.core.permission.interceptor,
            ru.entaxy.esb.system.core.permission.jpa.impl
        </bundle.osgi.private.pkg -->
        <bundle.osgi.import.pkg>
            javax.xml.bind;version="[2,3)",
            javax.xml.bind.annotation;version="[2,3)",
            javax.persistence;version="[2,3)",
            org.hibernate,
            org.hibernate.cfg,
            org.hibernate.service,
            org.hibernate.jpa,
            org.hibernate.proxy,
            javassist.util.proxy,
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
            <scope>provided</scope>
        </dependency>
        <dependency>
            <groupId>org.eclipse.persistence</groupId>
            <artifactId>javax.persistence</artifactId>
            <version>${jpa.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.transaction</groupId>
            <artifactId>javax.transaction-api</artifactId>
            <version>${javax.transaction.version}</version>
        </dependency>
        <dependency>
            <groupId>javax.interceptor</groupId>
            <artifactId>javax.interceptor-api</artifactId>
            <version>${javax.interceptor.version}</version>
        </dependency>

		<dependency>
			<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
			<artifactId>base-support</artifactId>
			<version>${project.version}</version>
		</dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-api</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>

        <dependency>
            <groupId>ru.entaxy.esb.system.core.permission</groupId>
            <artifactId>permission-common</artifactId>
            <version>${project.version}</version>
            <scope>provided</scope>
        </dependency>
        <dependency>
			  <groupId>ru.entaxy.platform.security.jaas</groupId>
			  <artifactId>entaxy-legacy-auth</artifactId>
            <version>${project.version}</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
        </dependency>

    </dependencies>

</project>
